# Created by pyp2rpm-3.3.1
%global pypi_name sphinx-autodoc-typehints

Name:           python-%{pypi_name}
Version:        1.11.1
Release:        %mkrel 1
Summary:        Type hints (PEP 484) support for the Sphinx autodoc extension
Group:          Development/Python
License:        MIT
URL:            https://github.com/GaretJax/sphinx-autodoc-typehints
Source0:        https://pypi.io/package/source/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(argh)
BuildRequires:  python3dist(livereload)
BuildRequires:  python3dist(pathtools)
BuildRequires:  python3dist(port-for)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tornado)
BuildRequires:  python3dist(watchdog)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(setuptools-scm)

%description
Type hints (PEP 484) support for the Sphinx autodoc extension

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:	python2-sphinx-autobuild < 0.7.1-4

Requires:       python3dist(argh)
Requires:       python3dist(livereload)
Requires:       python3dist(pathtools)
Requires:       python3dist(port-for)
Requires:       python3dist(pyyaml)
Requires:       python3dist(tornado)
Requires:       python3dist(watchdog)

%description -n python3-%{pypi_name}
Type hints (PEP 484) support for the Sphinx autodoc extension

%package -n python-%{pypi_name}-doc
Summary:        %{pypi_name} documentation

%description -n python-%{pypi_name}-doc
Documentation for %{pypi_name}

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info/

%build
%py3_build
# generate html docs
#PYTHONPATH=${PWD} docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinx_autodoc_typehints.py
%{python3_sitelib}/sphinx_autodoc_typehints-%{version}-py?.?.egg-info
%{python3_sitelib}/__pycache__/sphinx_autodoc_typehints*
#%files -n python-%{pypi_name}-doc
#%doc html
#%license LICENSE



%changelog
* Mon Jan 18 2021 neoclust <neoclust> 1.11.1-1.mga8
+ Revision: 1672310
- imported package python-sphinx-autodoc-typehints

